%
%  Returns simple Gaussian profile 
%  
%  f  = exp(-sig*(x-xcenter)^2/(4mass^2))
%
%  and its derivative fp.
%
%  function [f, fp]=ExpBumpData(x,xcenter,sig,mass)
   function [f, fp]=ExpBumpData(x,xcenter,sig,mass)
q=sig/(4*mass*mass);
f  = exp(-q*(xcenter-x).^2);
fp = 2*q*(xcenter-x).*exp(-q*(xcenter-x).^2);
