%
% SHORT-TIME REFERENCE SOLUTION EXPERIMENT.
%
  printTee_tag   =  5.0;
  makePlots_tag  =  1;  % Plot tag has to be turned on.
  exponents_tag  =  [13.5];
  MAXTIME_tag    =  100;
  ndmn_tag       =  32;
  a_tag          = -120;
  npts_tag       =  64;
  mass_tag       =  0.9;
%
% First generate a reference solution on [a,b] with b
% corresponding to rho = 80; will use Sommerfeld RBC.
% Reference solution sampled on [a,b0] with b0 
% corresponding to rho = 15.
%
  rhoBd0_tag     = 15;
  rhoBd_tag      = 80;
  rhoBd2_tag     = rhoBd_tag;  % Disables the extraction.
  close all
  ERK_SCHST_CHB_MULT_EXTR      % Perform the run.
  psi_ref = psi0; x_ref = x0;
%
%  Rerun on [a,b0] but with convolution RBC.
%
  rhoBd_tag      = 15;
  rhoBd0_tag     = 15;
  close all
  ERK_SCHST_CHB_MULT_EXTR
%
%  Plot error between reference and short-domain solutions.
%
  figure(5)
  subplot(2,1,1)
  plot(x0,psi0,'LineWidth',2)
  set(gca, 'FontSize', 16, 'fontweight', 'n')
  title('$\psi$ at time $t = 100$','interpreter','latex')
  subplot(2,1,2)
  semilogy(x0,abs(psi_ref-psi0),'LineWidth',2)
  set(gca, 'FontSize', 16, 'fontweight', 'n')
  axis([-150 50 1e-18 1e-14])
  xlabel('$x$','interpreter','latex');
  title('$|\psi_\mathrm{ref} \mbox{-}\!\mbox{-} \psi|$','interpreter','latex')
