%
%  Trefethen page 54.
%
%  CHEB  compute D = differentiation matrix, x = Chebyshev grid
%  function D = cheb(N)
   function D = cheb(N)
   if N ==0, D=0; return, end
   c = [2; ones(N-1,1); 2].*(-1).^(0:N)';
   X = repmat(cos(pi*(0:N)/N)',1,N+1);
   dX = X-X';
   D  = (c*(1./c)')./(dX+(eye(N+1)));      % off-diagonal entries
   D = D- diag(sum(D'));                   % diagonal entries
